/*******************************************************************************
* File Name: cycfg_usbdev.c
*
* Description:
* USB Device middleware configuration
* This file should not be modified. It was automatically generated by
* USB Configurator 2.40.0.6118
*
********************************************************************************
* \copyright
* Copyright 2022 Cypress Semiconductor Corporation (an Infineon company) or
* an affiliate of Cypress Semiconductor Corporation.
* SPDX-License-Identifier: Apache-2.0
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*******************************************************************************/

#include "cycfg_usbdev.h"

/*******************************************************************************
*                       Device Descriptors Initialization
*******************************************************************************/

static uint8_t const usb_deviceDescriptors[] = 
{
/******************************************************************************/
/* Device Descriptor                                                          */
/******************************************************************************/
/* bLength */                                                             0x12U, 
/* bDescriptorType */                                                     0x01U, 
/* bcdUSB */                                                       0x00U, 0x02U, 
/* bDeviceClass */                                                        0x00U, 
/* bDeviceSubClass */                                                     0x00U, 
/* bDeviceProtocol */                                                     0x00U, 
/* bMaxPacketSize0 */                                                     0x08U, 
/* idVendor */                                                     0xB4U, 0x04U, 
/* idProduct */                                                    0x67U, 0xF1U, 
/* bcdDevice */                                                    0x00U, 0x00U, 
/* iManufacturer */                                                       0x01U, 
/* iProduct */                                                            0x02U, 
/* iSerialNumber */                                                       0x00U, 
/* bNumConfigurations */                                                  0x01U, 
};

static uint8_t const usb_configurationDescriptors[] = 
{
/******************************************************************************/
/* Configuration Descriptor                                                   */
/******************************************************************************/
/* bLength */                                                             0x09U, 
/* bDescriptorType */                                                     0x02U, 
/* wTotalLength */                                                 0xC8U, 0x00U, 
/* bNumInterfaces */                                                      0x03U, 
/* bConfigurationValue */                                                 0x01U, 
/* iConfiguration */                                                      0x03U, 
/* bmAttributes */                                                        0x80U, 
/* bMaxPower */                                                           0x32U, 

/******************************************************************************/
/* AC Alternate Settings                                                      */
/******************************************************************************/
/* bLength */                                                             0x09U, 
/* bDescriptorType */                                                     0x04U, 
/* bInterfaceNumber */                                                    0x00U, 
/* bAlternateSetting */                                                   0x00U, 
/* bNumEndpoints */                                                       0x01U, 
/* bInterfaceClass */                                                     0x01U, 
/* bInterfaceSubClass */                                                  0x01U, 
/* bInterfaceProtocol */                                                  0x00U, 
/* iInterface */                                                          0x00U, 

/******************************************************************************/
/* AC Header                                                                  */
/******************************************************************************/
/* bLength */                                                             0x0AU, 
/* bDescriptorType */                                                     0x24U, 
/* bDescriptorSubtype */                                                  0x01U, 
/* bcdADC */                                                       0x00U, 0x01U, 
/* wTotalLength */                                                 0x3CU, 0x00U, 
/* bInCollection */                                                       0x02U, 
/* baInterfaceNr */                                                0x01U, 0x02U, 

/******************************************************************************/
/* AC Feature Unit                                                            */
/******************************************************************************/
/* bLength */                                                             0x08U, 
/* bDescriptorType */                                                     0x24U, 
/* bDescriptorSubtype */                                                  0x06U, 
/* bUnitID */                                                             0x02U, 
/* bSourceID */                                                           0x01U, 
/* bControlSize */                                                        0x01U, 
/* bmaControls */                                                         0x03U, 
/* iFeature */                                                            0x00U, 

/******************************************************************************/
/* AC Input Terminal                                                          */
/******************************************************************************/
/* bLength */                                                             0x0CU, 
/* bDescriptorType */                                                     0x24U, 
/* bDescriptorSubtype */                                                  0x02U, 
/* bTerminalID */                                                         0x01U, 
/* wTerminalType */                                                0x01U, 0x01U, 
/* bAssocTerminal */                                                      0x00U, 
/* bNrChannels */                                                         0x02U, 
/* wChannelConfig */                                               0x03U, 0x00U, 
/* iChannelNames */                                                       0x00U, 
/* iTerminal */                                                           0x04U, 

/******************************************************************************/
/* AC Output Terminal                                                         */
/******************************************************************************/
/* bLength */                                                             0x09U, 
/* bDescriptorType */                                                     0x24U, 
/* bDescriptorSubtype */                                                  0x03U, 
/* bTerminalID */                                                         0x03U, 
/* wTerminalType */                                                0x01U, 0x03U, 
/* bAssocTerminal */                                                      0x00U, 
/* bSourceID */                                                           0x02U, 
/* iTerminal */                                                           0x05U, 

/******************************************************************************/
/* AC Input Terminal                                                          */
/******************************************************************************/
/* bLength */                                                             0x0CU, 
/* bDescriptorType */                                                     0x24U, 
/* bDescriptorSubtype */                                                  0x02U, 
/* bTerminalID */                                                         0x04U, 
/* wTerminalType */                                                0x01U, 0x02U, 
/* bAssocTerminal */                                                      0x00U, 
/* bNrChannels */                                                         0x02U, 
/* wChannelConfig */                                               0x03U, 0x00U, 
/* iChannelNames */                                                       0x00U, 
/* iTerminal */                                                           0x06U, 

/******************************************************************************/
/* AC Output Terminal                                                         */
/******************************************************************************/
/* bLength */                                                             0x09U, 
/* bDescriptorType */                                                     0x24U, 
/* bDescriptorSubtype */                                                  0x03U, 
/* bTerminalID */                                                         0x05U, 
/* wTerminalType */                                                0x01U, 0x01U, 
/* bAssocTerminal */                                                      0x00U, 
/* bSourceID */                                                           0x04U, 
/* iTerminal */                                                           0x07U, 

/******************************************************************************/
/* Endpoint Descriptor                                                        */
/******************************************************************************/
/* bLength */                                                             0x09U, 
/* bDescriptorType */                                                     0x05U, 
/* bEndpointAddress */                                                    0x86U, 
/* bmAttributes */                                                        0x03U, 
/* wMaxPacketSize */                                               0x02U, 0x00U, 
/* bInterval */                                                           0x1EU, 
/* bRefresh */                                                            0x00U, 
/* bSynchAddress */                                                       0x00U, 

/******************************************************************************/
/* AS Alternate Settings                                                      */
/******************************************************************************/
/* bLength */                                                             0x09U, 
/* bDescriptorType */                                                     0x04U, 
/* bInterfaceNumber */                                                    0x01U, 
/* bAlternateSetting */                                                   0x00U, 
/* bNumEndpoints */                                                       0x00U, 
/* bInterfaceClass */                                                     0x01U, 
/* bInterfaceSubClass */                                                  0x02U, 
/* bInterfaceProtocol */                                                  0x00U, 
/* iInterface */                                                          0x05U, 

/******************************************************************************/
/* AS Alternate Settings                                                      */
/******************************************************************************/
/* bLength */                                                             0x09U, 
/* bDescriptorType */                                                     0x04U, 
/* bInterfaceNumber */                                                    0x01U, 
/* bAlternateSetting */                                                   0x01U, 
/* bNumEndpoints */                                                       0x02U, 
/* bInterfaceClass */                                                     0x01U, 
/* bInterfaceSubClass */                                                  0x02U, 
/* bInterfaceProtocol */                                                  0x00U, 
/* iInterface */                                                          0x08U, 

/******************************************************************************/
/* AS General                                                                 */
/******************************************************************************/
/* bLength */                                                             0x07U, 
/* bDescriptorType */                                                     0x24U, 
/* bDescriptorSubtype */                                                  0x01U, 
/* bTerminalLink */                                                       0x01U, 
/* bDelay */                                                              0x01U, 
/* wFormatTag */                                                   0x01U, 0x00U, 

/******************************************************************************/
/* AS Format Type I                                                           */
/******************************************************************************/
/* bLength */                                                             0x0BU, 
/* bDescriptorType */                                                     0x24U, 
/* bDescriptorSubtype */                                                  0x02U, 
/* bFormatType */                                                         0x01U, 
/* bNrChannels */                                                         0x02U, 
/* bSubframeSize */                                                       0x03U, 
/* bBitResolution */                                                      0x18U, 
/* bSamFreqType */                                                        0x01U, 
/* tSamFreq */                                              0x80U, 0xBBU, 0x00U, 

/******************************************************************************/
/* Endpoint Descriptor                                                        */
/******************************************************************************/
/* bLength */                                                             0x09U, 
/* bDescriptorType */                                                     0x05U, 
/* bEndpointAddress */                                                    0x01U, 
/* bmAttributes */                                                        0x05U, 
/* wMaxPacketSize */                                               0x26U, 0x01U, 
/* bInterval */                                                           0x01U, 
/* bRefresh */                                                            0x00U, 
/* bSynchAddress */                                                       0x83U, 

/******************************************************************************/
/* AS Endpoint Descriptor                                                     */
/******************************************************************************/
/* bLength */                                                             0x07U, 
/* bDescriptorType */                                                     0x25U, 
/* bDescriptorSubtype */                                                  0x01U, 
/* bmAttributes */                                                        0x01U, 
/* bLockDelayUnits */                                                     0x00U, 
/* wLockDelay */                                                   0x00U, 0x00U, 

/******************************************************************************/
/* Endpoint Descriptor                                                        */
/******************************************************************************/
/* bLength */                                                             0x09U, 
/* bDescriptorType */                                                     0x05U, 
/* bEndpointAddress */                                                    0x83U, 
/* bmAttributes */                                                        0x11U, 
/* wMaxPacketSize */                                               0x03U, 0x00U, 
/* bInterval */                                                           0x08U, 
/* bRefresh */                                                            0x03U, 
/* bSynchAddress */                                                       0x00U, 

/******************************************************************************/
/* AS Alternate Settings                                                      */
/******************************************************************************/
/* bLength */                                                             0x09U, 
/* bDescriptorType */                                                     0x04U, 
/* bInterfaceNumber */                                                    0x02U, 
/* bAlternateSetting */                                                   0x00U, 
/* bNumEndpoints */                                                       0x00U, 
/* bInterfaceClass */                                                     0x01U, 
/* bInterfaceSubClass */                                                  0x02U, 
/* bInterfaceProtocol */                                                  0x00U, 
/* iInterface */                                                          0x06U, 

/******************************************************************************/
/* AS Alternate Settings                                                      */
/******************************************************************************/
/* bLength */                                                             0x09U, 
/* bDescriptorType */                                                     0x04U, 
/* bInterfaceNumber */                                                    0x02U, 
/* bAlternateSetting */                                                   0x01U, 
/* bNumEndpoints */                                                       0x01U, 
/* bInterfaceClass */                                                     0x01U, 
/* bInterfaceSubClass */                                                  0x02U, 
/* bInterfaceProtocol */                                                  0x00U, 
/* iInterface */                                                          0x09U, 

/******************************************************************************/
/* AS General                                                                 */
/******************************************************************************/
/* bLength */                                                             0x07U, 
/* bDescriptorType */                                                     0x24U, 
/* bDescriptorSubtype */                                                  0x01U, 
/* bTerminalLink */                                                       0x05U, 
/* bDelay */                                                              0x01U, 
/* wFormatTag */                                                   0x01U, 0x00U, 

/******************************************************************************/
/* AS Format Type I                                                           */
/******************************************************************************/
/* bLength */                                                             0x0BU, 
/* bDescriptorType */                                                     0x24U, 
/* bDescriptorSubtype */                                                  0x02U, 
/* bFormatType */                                                         0x01U, 
/* bNrChannels */                                                         0x02U, 
/* bSubframeSize */                                                       0x02U, 
/* bBitResolution */                                                      0x10U, 
/* bSamFreqType */                                                        0x01U, 
/* tSamFreq */                                              0x80U, 0xBBU, 0x00U, 

/******************************************************************************/
/* Endpoint Descriptor                                                        */
/******************************************************************************/
/* bLength */                                                             0x09U, 
/* bDescriptorType */                                                     0x05U, 
/* bEndpointAddress */                                                    0x82U, 
/* bmAttributes */                                                        0x05U, 
/* wMaxPacketSize */                                               0x26U, 0x01U, 
/* bInterval */                                                           0x01U, 
/* bRefresh */                                                            0x00U, 
/* bSynchAddress */                                                       0x00U, 

/******************************************************************************/
/* AS Endpoint Descriptor                                                     */
/******************************************************************************/
/* bLength */                                                             0x07U, 
/* bDescriptorType */                                                     0x25U, 
/* bDescriptorSubtype */                                                  0x01U, 
/* bmAttributes */                                                        0x01U, 
/* bLockDelayUnits */                                                     0x00U, 
/* wLockDelay */                                                   0x00U, 0x00U, 
};

static uint8_t const usb_stringDescriptors[] = 
{
/******************************************************************************/
/* Language ID Descriptor                                                     */
/******************************************************************************/
/* bLength */                                                             0x04U, 
/* bDescriptorType */                                                     0x03U, 
/* wLANGID */                                                      0x09U, 0x04U, 

/******************************************************************************/
/* String Descriptor                                                          */
/******************************************************************************/
/* bLength */                                                             0x2CU, 
/* bDescriptorType */                                                     0x03U, 
/* bString */ 
    (uint8_t)'C', 0U, (uint8_t)'y', 0U, (uint8_t)'p', 0U, (uint8_t)'r', 0U,
    (uint8_t)'e', 0U, (uint8_t)'s', 0U, (uint8_t)'s', 0U, (uint8_t)' ', 0U,
    (uint8_t)'S', 0U, (uint8_t)'e', 0U, (uint8_t)'m', 0U, (uint8_t)'i', 0U,
    (uint8_t)'c', 0U, (uint8_t)'o', 0U, (uint8_t)'n', 0U, (uint8_t)'d', 0U,
    (uint8_t)'u', 0U, (uint8_t)'c', 0U, (uint8_t)'t', 0U, (uint8_t)'o', 0U,
    (uint8_t)'r', 0U,

/******************************************************************************/
/* String Descriptor                                                          */
/******************************************************************************/
/* bLength */                                                             0x34U, 
/* bDescriptorType */                                                     0x03U, 
/* bString */ 
    (uint8_t)'P', 0U, (uint8_t)'S', 0U, (uint8_t)'o', 0U, (uint8_t)'C', 0U,
    (uint8_t)' ', 0U, (uint8_t)'6', 0U, (uint8_t)' ', 0U, (uint8_t)'U', 0U,
    (uint8_t)'S', 0U, (uint8_t)'B', 0U, (uint8_t)' ', 0U, (uint8_t)'A', 0U,
    (uint8_t)'u', 0U, (uint8_t)'d', 0U, (uint8_t)'i', 0U, (uint8_t)'o', 0U,
    (uint8_t)' ', 0U, (uint8_t)'R', 0U, (uint8_t)'e', 0U, (uint8_t)'c', 0U,
    (uint8_t)'o', 0U, (uint8_t)'r', 0U, (uint8_t)'d', 0U, (uint8_t)'e', 0U,
    (uint8_t)'r', 0U,

/******************************************************************************/
/* String Descriptor                                                          */
/******************************************************************************/
/* bLength */                                                             0x08U, 
/* bDescriptorType */                                                     0x03U, 
/* bString */              (uint8_t)'M', 0U, (uint8_t)'a', 0U, (uint8_t)'c', 0U, 

/******************************************************************************/
/* String Descriptor                                                          */
/******************************************************************************/
/* bLength */                                                             0x1CU, 
/* bDescriptorType */                                                     0x03U, 
/* bString */ 
    (uint8_t)'U', 0U, (uint8_t)'S', 0U, (uint8_t)'B', 0U, (uint8_t)' ', 0U,
    (uint8_t)'S', 0U, (uint8_t)'t', 0U, (uint8_t)'r', 0U, (uint8_t)'e', 0U,
    (uint8_t)'a', 0U, (uint8_t)'m', 0U, (uint8_t)'i', 0U, (uint8_t)'n', 0U,
    (uint8_t)'g', 0U,

/******************************************************************************/
/* String Descriptor                                                          */
/******************************************************************************/
/* bLength */                                                             0x10U, 
/* bDescriptorType */                                                     0x03U, 
/* bString */ 
    (uint8_t)'S', 0U, (uint8_t)'p', 0U, (uint8_t)'e', 0U, (uint8_t)'a', 0U,
    (uint8_t)'k', 0U, (uint8_t)'e', 0U, (uint8_t)'r', 0U,

/******************************************************************************/
/* String Descriptor                                                          */
/******************************************************************************/
/* bLength */                                                             0x16U, 
/* bDescriptorType */                                                     0x03U, 
/* bString */ 
    (uint8_t)'M', 0U, (uint8_t)'i', 0U, (uint8_t)'c', 0U, (uint8_t)'r', 0U,
    (uint8_t)'o', 0U, (uint8_t)'p', 0U, (uint8_t)'h', 0U, (uint8_t)'o', 0U,
    (uint8_t)'n', 0U, (uint8_t)'e', 0U,

/******************************************************************************/
/* String Descriptor                                                          */
/******************************************************************************/
/* bLength */                                                             0x1AU, 
/* bDescriptorType */                                                     0x03U, 
/* bString */ 
    (uint8_t)'U', 0U, (uint8_t)'S', 0U, (uint8_t)'B', 0U, (uint8_t)' ', 0U,
    (uint8_t)'S', 0U, (uint8_t)'t', 0U, (uint8_t)'r', 0U, (uint8_t)'a', 0U,
    (uint8_t)'m', 0U, (uint8_t)'i', 0U, (uint8_t)'n', 0U, (uint8_t)'g', 0U,

/******************************************************************************/
/* String Descriptor                                                          */
/******************************************************************************/
/* bLength */                                                             0x1CU, 
/* bDescriptorType */                                                     0x03U, 
/* bString */ 
    (uint8_t)'A', 0U, (uint8_t)'c', 0U, (uint8_t)'t', 0U, (uint8_t)'i', 0U,
    (uint8_t)'v', 0U, (uint8_t)'e', 0U, (uint8_t)' ', 0U, (uint8_t)'2', 0U,
    (uint8_t)'4', 0U, (uint8_t)' ', 0U, (uint8_t)'b', 0U, (uint8_t)'i', 0U,
    (uint8_t)'t', 0U,

/******************************************************************************/
/* String Descriptor                                                          */
/******************************************************************************/
/* bLength */                                                             0x1CU, 
/* bDescriptorType */                                                     0x03U, 
/* bString */ 
    (uint8_t)'A', 0U, (uint8_t)'c', 0U, (uint8_t)'t', 0U, (uint8_t)'i', 0U,
    (uint8_t)'v', 0U, (uint8_t)'e', 0U, (uint8_t)' ', 0U, (uint8_t)'1', 0U,
    (uint8_t)'6', 0U, (uint8_t)' ', 0U, (uint8_t)'b', 0U, (uint8_t)'i', 0U,
    (uint8_t)'t', 0U,
};

/*******************************************************************************
*                       Device Structures Initialization
*******************************************************************************/

/* Endpoints array initialization */
static const cy_stc_usb_dev_endpoint_t usb_endpoints[] = 
{
    {
        .endpointDescriptor = &usb_configurationDescriptors[78], 
    },
    {
        .endpointDescriptor = &usb_configurationDescriptors[123], 
    },
    {
        .endpointDescriptor = &usb_configurationDescriptors[139], 
    },
    {
        .endpointDescriptor = &usb_configurationDescriptors[184], 
    },
};

/* Pointers to endpoints array initialization */
static const cy_stc_usb_dev_endpoint_t* usb_endpointsPtr[] = 
{
    &usb_endpoints[0],
    &usb_endpoints[1],
    &usb_endpoints[2],
    &usb_endpoints[3],
};

/* Alternate settings array initialization */
static const cy_stc_usb_dev_alternate_t usb_alternates[] = 
{
    {
        .interfaceDescriptor = &usb_configurationDescriptors[9],
        .numEndpoints        = 1U,
        .endpoints           = &usb_endpointsPtr[0],
        .hid                 = NULL,
    },
    {
        .interfaceDescriptor = &usb_configurationDescriptors[87],
        .numEndpoints        = 0U,
        .endpoints           = NULL,
        .hid                 = NULL,
    },
    {
        .interfaceDescriptor = &usb_configurationDescriptors[96],
        .numEndpoints        = 2U,
        .endpoints           = &usb_endpointsPtr[1],
        .hid                 = NULL,
    },
    {
        .interfaceDescriptor = &usb_configurationDescriptors[148],
        .numEndpoints        = 0U,
        .endpoints           = NULL,
        .hid                 = NULL,
    },
    {
        .interfaceDescriptor = &usb_configurationDescriptors[157],
        .numEndpoints        = 1U,
        .endpoints           = &usb_endpointsPtr[3],
        .hid                 = NULL,
    },
};

/* Pointers to alternates array initialization */
static const cy_stc_usb_dev_alternate_t* usb_alternatesPtr[] = 
{
    &usb_alternates[0],
    &usb_alternates[1],
    &usb_alternates[2],
    &usb_alternates[3],
    &usb_alternates[4],
};

/* Interfaces array initialization */
static const cy_stc_usb_dev_interface_t usb_interfaces[] =
{
    {
        .numAlternates = 1U,
        .alternates    = &usb_alternatesPtr[0],
        .endpointsMask = 0x0020U,
    },
    {
        .numAlternates = 2U,
        .alternates    = &usb_alternatesPtr[1],
        .endpointsMask = 0x0005U,
    },
    {
        .numAlternates = 2U,
        .alternates    = &usb_alternatesPtr[3],
        .endpointsMask = 0x0002U,
    },
};

/* Pointers to interfaces array initialization */
static const cy_stc_usb_dev_interface_t* usb_interfacesPtr[] = 
{
    &usb_interfaces[0],
    &usb_interfaces[1],
    &usb_interfaces[2],
};

/* Configurations array initialization */
static const cy_stc_usb_dev_configuration_t  usb_configurations[] =
{
    {
        .configDescriptor = &usb_configurationDescriptors[0],
        .numInterfaces    = 3U,
        .interfaces       = &usb_interfacesPtr[0],
    },
};

/* Pointers to configurations array initialization */
static const cy_stc_usb_dev_configuration_t* usb_configurationsPtr[] = 
{
    &usb_configurations[0],
};

/* Pointers to Strings array initialization */
static const uint8_t* usb_stringPtr[] = 
{
    &usb_stringDescriptors[0],
    &usb_stringDescriptors[4],
    &usb_stringDescriptors[48],
    &usb_stringDescriptors[100],
    &usb_stringDescriptors[108],
    &usb_stringDescriptors[136],
    &usb_stringDescriptors[152],
    &usb_stringDescriptors[174],
    &usb_stringDescriptors[200],
    &usb_stringDescriptors[228],

};

/* String array initialization */
static const cy_stc_usb_dev_string_t  usb_strings[] =
{
    {
        .numStrings                = 10U,
        .stringDescriptors         = &usb_stringPtr[0],
        .osStringDescriptors       = NULL,
    },
};

/* Device array initialization */
const cy_stc_usb_dev_device_t usb_devices[] =
{
    {
        .deviceDescriptor  = &usb_deviceDescriptors[0],
        .bosDescriptor     = NULL, 
        .strings           = &usb_strings[0], 
        .numConfigurations = 1U, 
        .configurations    = &usb_configurationsPtr[0], 
    },
};

/* Device configuration */
static uint8_t endpoint0Buffer[64U];
const cy_stc_usb_dev_config_t usb_devConfig = 
{
    .ep0Buffer     = endpoint0Buffer,
    .ep0BufferSize = 64U,
};

/* [] END OF FILE */
